org.red5.io.utils

## Class RandomGUID

- java.lang.Object
- - org.red5.io.utils.RandomGUID

    public class RandomGUID
    extends Object

### Field Summary

Fields
`String` `valueAfterMD5`
`String` `valueBeforeMD5`

### Constructor Summary

Constructors
Constructor and Description
`RandomGUID()`
`RandomGUID(boolean secure)`

### Method Summary

Methods
`static String` `fromByteArray(byte[] ba)` Returns a uuid / guid for a given byte array.
`static String` `getPrettyFormatted(String str)` Returns a nice neat formatted string.
`static void` `main(String[] args)`
`static byte[]` `toByteArray(String uid)` Returns a byte array for the given uuid or guid.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### valueBeforeMD5

    public String valueBeforeMD5

#### valueAfterMD5

    public String valueAfterMD5

### Constructor Detail

#### RandomGUID

    public RandomGUID()

#### RandomGUID

    public RandomGUID(boolean secure)

### Method Detail

#### toByteArray

    public static final byte[] toByteArray(String uid)

Returns a byte array for the given uuid or guid.

Parameters:
  `uid` -
Returns:
  array of bytes containing the id

#### fromByteArray

    public static String fromByteArray(byte[] ba)

Returns a uuid / guid for a given byte array.

Parameters:
  `ba` - array of bytes containing the id
Returns:
  id

#### getPrettyFormatted

    public static String getPrettyFormatted(String str)

Returns a nice neat formatted string.

Parameters:
  `str` - unformatted string
Returns:
  formatted string

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### main

    public static void main(String[] args)